<?php

/**
 * Load settings
 *
 * Load settings to be used both in admin and public
 * functionality.
 *
 * @since      1.0.0
 * @package    Photoslurp
 * @subpackage Photoslurp/includes
 * @author     Tristan Hartman <tristan@hartmanmedia.nl>
 */
class Photoslurp_Settings {

	/**
	 * Includes settings files
	 *
	 * @since    1.0.0
	 */
	public static function includes() {
		/**
		 * Photoslurp widget settings
		 */
		require_once plugin_dir_path( dirname( __FILE__ ) ) . 'includes/settings/class-photoslurp-settings-widget.php';

		new Photoslurp_Settings_Widget();

		/**
		 * Photoslurp widget placement settings
		 */
		require_once plugin_dir_path( dirname( __FILE__ ) ) . 'includes/settings/class-photoslurp-settings-widget-placement.php';

		new Photoslurp_Settings_Widget_Placement();
	}

}

Photoslurp_Settings::includes();