<?php
/**
 * Plugin Name: Photoslurp
 * Plugin URI: https://hi.photoslurp.com/
 * Description: Integrate Photoslurp into your WordPress and WooCommerce website
 * Version: 3.1.1
 * Author: Photoslurp
 * Author URI: https://photoslurp.com/
 * Text Domain: photoslurp
 * Domain Path: /languages
 *
 * @package Photoslurp
 * @author Hartman Media
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

define( 'PHOTOSLURP_VERSION', '3.1.2' );
define( 'PHOTOSLURP_REQUIRED_WORDPRESS_VERSION', 4.4 );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-photoslurp-activator.php
 */
function activate_photoslurp() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-photoslurp-activator.php';
	Photoslurp_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-photoslurp-deactivator.php
 */
function deactivate_photoslurp() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-photoslurp-deactivator.php';
	Photoslurp_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_photoslurp' );
register_deactivation_hook( __FILE__, 'deactivate_photoslurp' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-photoslurp.php';

/**
 * Begins execution of the plugin.
 */
new Photoslurp();
