<?php

/**
 * Widgets
 *
 * Register WordPress widgets
 *
 * @package    Photoslurp
 * @subpackage Photoslurp/public
 * @author     Tristan Hartman <tristan@hartmanmedia.nl>
 */
class Photoslurp_Public_Widgets {

	/**
	 * Initialize the class
	 *
	 * @since    1.0.0
	 */
	public function __construct() {
		$this->includes();
		/**
		 * Hook widgets_init to register the widgets
		 */
		add_action( 'widgets_init', array( $this, 'register_widgets' ) );
	}

	/**
	 * Include files
	 *
	 * @since    1.0.0
	 */
	public function includes() {
		/**
		 * Photoslurp widget widget
		 */
		require_once plugin_dir_path( dirname( __FILE__ ) ) . 'public/widgets/class-photoslurp-widget-photoslurp-widget.php';
	}

	/**
	 * Register the widgets
	 *
	 * @since    1.0.0
	 */
	public function register_widgets() {
		register_widget( 'Photoslurp_Widget_Photoslurp_Widget' );
	}

}
