<?php

/**
 * Widget short code
 *
 * Short code for displaying the Photoslurp Widget
 *
 * @package    Photoslurp
 * @subpackage Photoslurp/public
 * @author     Tristan Hartman <tristan@hartmanmedia.nl>
 */
class Photoslurp_Short_Code_Widget {

	/**
	 * Constructor
	 *
	 * Add the short code
	 *
	 * @since    1.0.0
	 */
	public function __construct() {
		add_shortcode( 'photoslurp', array( $this, 'output' ) );
	}

	/**
	 * Short code output
	 *
	 * @since    1.0.0
	 *
	 * @param    $attributes
	 * @param    string $content
	 *
	 * @return   string
	 */
	public function output( $attributes, $content = '' ) {
		$attributes = shortcode_atts( array(
			'id' => '',
            'product' => ''
		), $attributes, 'photoslurp' );

		$widget = new Photoslurp_Public_Widget( $attributes['id'] );

		if ( !empty( $attributes['product'] ) ) {
		    $widget->set_product( explode( ',', $attributes['product'] ) );
        }

		return $widget->get_output();
	}

}